# Type Alias LineMaterialParameters

type LineMaterialParameters = {
color?: number | THREE.Vector3;
dashed?: boolean;
dashScale?: number;
dashSize?: number;
gapSize?: number;
linewidth?: number;
resolution?: THREE.Vector2;
}

- Defined in lib/line/utils/LineMaterial.ts:234

##### Index

### Properties

color?
dashed?
dashScale?
dashSize?
gapSize?
linewidth?
resolution?

## Properties

### `Optional` color

color?: number | THREE.Vector3

- Defined in lib/line/utils/LineMaterial.ts:235

### `Optional` dashed

dashed?: boolean

- Defined in lib/line/utils/LineMaterial.ts:237

### `Optional` dashScale

dashScale?: number

- Defined in lib/line/utils/LineMaterial.ts:238

### `Optional` dashSize

dashSize?: number

- Defined in lib/line/utils/LineMaterial.ts:239

### `Optional` gapSize

gapSize?: number

- Defined in lib/line/utils/LineMaterial.ts:240

### `Optional` linewidth

linewidth?: number

- Defined in lib/line/utils/LineMaterial.ts:236

### `Optional` resolution

resolution?: THREE.Vector2

- Defined in lib/line/utils/LineMaterial.ts:241